﻿.teams-box{
    width: 100%;
    display: block;
    position: relative;
    font-size: 0;
    background-color: #f5f5f5;
    margin-top: 95px;
}
.teams-info-box{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    position: relative;
    box-sizing: border-box;
    padding-top: 80px;
    padding-bottom: 80px;
}
.teams-info{
    width: 298px;
    display: inline-block;
    margin-bottom: 2px;
    margin-left: 2px;
    cursor: pointer;
}
.teams-info:nth-child(4n + 1){
    margin-left: 0;
}
.teams-info-img-box{
    overflow: hidden;
    display: block;
}
.teams-info-img{
    width: 100%;
    height: 300px;
    display: block;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    transition: all .3s linear;
}
.teams-info-text-box{
    display: block;
    box-sizing: border-box;
    padding: 5px 10px;
    background-color: #fff;
    transition: all .3s linear;
}
.teams-info-text{
    font-size: 16px;
    font-family: 'Lato', "微軟正黑體";
    letter-spacing: 1px;
}
.teams-info-text-position{
    font-size: 14px;
    font-weight: 300;
    font-family: 'Lato', "微軟正黑體";
    letter-spacing: 1px;
}

#teams .fancybox-table{
    width: 100%;
    height: 100vh;
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 999;
    font-size: 0;
}
#teams .fancybox-table.active{
    display: block;
}
.teams-fancybox-table-mid{
    width: 100%;
    height: 100vh;
    display:         flex;
    display: -webkit-flex;
          align-items: center;
    -webkit-align-items: center;
          justify-content: center;
    -webkit-justify-content: center;
    flex-direction:column;
    -webkit-flex-direction:column;
}
.teams-fancybox-box{
    width: 100%;
    height: 100%;
    display: block;
    margin: 0 auto;
    position: relative;
    z-index: 3;
    background-color: #fff;
}
.teams-fancybox-img-box{
    width: 80%;
    display: inline-block;
    vertical-align: top;
    background-color: #f5f5f5;
}
.teams-fancybox-img-big-box{
    width: 100%;
    box-sizing: border-box;
    padding: 50px 0;
}
.teams-fancybox-img-big{
    width: 100%;
    display: block;
}
.teams-fancybox-img-big-span{
    width: 100%;
    height: calc(100vh - 220px);
    display: block;
}
.teams-fancybox-img-small-box{
    width: 560px;
    max-width: 100%;
    box-sizing: border-box;
    padding: 20px 0;
    display: block;
    margin: 0 auto;
}
.teams-fancybox-img-small{
    width: 80px;
    padding-right: 40px;
    display: inline-block;
}
.teams-fancybox-img-small span{
    width: 100%;
    height: 80px;
    cursor: pointer;
    display: inline-block;
    vertical-align: middle;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

.teams-fancybox-mask-box{
    width: 100%;
    height: 100%;
    display: block;
    background-color: rgba(0,0,0,0.6);
    position: fixed;
    top: 0;
    left: 0;
}
.teams-fancybox-close{
    width: 40px;
    height: 40px;
    line-height: 40px;
    font-size: 20px;
    color: #000;
    text-align: center;
    position: absolute;
    top: 0;
    right: 0;
    background-color: #ddd;
    cursor: pointer;
    z-index: 3;
    transition: all .3s linear;
    font-weight: bold;
}
.body-close{
    overflow: hidden;

}
.body-close::-webkit-scrollbar{
    display:none;
}
.teams-fancybox-block::-webkit-scrollbar{
    display:none;
}
.teams-fancybox-introduction-box{
    width: 20%;
    display: inline-block;
    vertical-align: top;
    box-sizing: border-box;
    padding: 50px;
    max-height: 100vh;
    min-height: 100vh;
    overflow: auto;
}
.teams-fancybox-introduction{
    box-sizing: border-box;    
    width: 100%;
}
.teams-fancybox-introduction-name-box{
    margin-bottom: 20px;
}
.teams-fancybox-introduction-name{
    font-size: 16px;
    font-family: 'Lato',"微軟正黑體";
    color: #888;
}
.teams-fancybox-introduction-name-position{
    font-size: 20px;
    font-family: 'Lato',"微軟正黑體";
    letter-spacing: 1px;
}
.teams-fancybox-introduction-experience-box{
    margin-bottom: 20px;
}
.teams-fancybox-introduction-experience{
    font-size: 18px;
    font-family: 'Lato',"微軟正黑體";
    color: #47a5ee;
}
.teams-fancybox-introduction-assignment-box{
    margin-bottom: 20px;
}
.teams-fancybox-introduction-assignment{
    font-size: 18px;
    font-family: 'Lato',"微軟正黑體";
    color: #ca483d;
}
.teams-fancybox-introduction-edit{
    font-size: 14px;
    font-family: 'Lato',"微軟正黑體";
    color: #000;
    font-weight: 300;
}

.teams-fancybox-img-small-box .slick-current span{
    border: 3px solid #ca483d;
    box-sizing: border-box;
}
/*<----------hover---------->*/
.teams-info:hover .teams-info-img{
    transform: scale(1.1);
}
.teams-info:hover .teams-info-text-box{
    background-color: #ca483d;
    color: #fff;
}
.teams-fancybox-close:hover{
    background-color: #ca483d;
    color: #fff;
}
@media only screen and (max-width: 1480px){
    .teams-fancybox-img-box{
        width: 75%;
    }
    .teams-fancybox-introduction-box{
        width: 25%;
    }
}
@media only screen and (max-width: 1200px){
    .teams-info-box{
        width: 1000px;
    }
    .teams-info{
        width: 248px;
    }
    .teams-info-img{
        height: 250px;
    }
    .teams-fancybox-introduction-box{
        padding: 40px;
    }
    .teams-fancybox-img-box{
        width: 70%;
    }
    .teams-fancybox-introduction-box{
        width: 30%;
    }
}
@media only screen and (max-width: 1000px){
    .teams-info-box{
        width: 800px;
    }
    .teams-info{
        width: 265px;
    }
    .teams-info-img{
        height: 267px;
    }
    .teams-info:nth-child(n){
        margin-left: 2px;
    }
    .teams-info:nth-child(3n + 1){
        margin-left: 0;
    }
    .teams-fancybox-img-small-box{
        width: 400px;
    }
    .teams-fancybox-img-small{
        width: 60px;
        padding-right: 20px;
    }
    .teams-fancybox-img-small span{
        height: 60px;
    }
    .teams-fancybox-img-box{
        width: 65%;
    }
    .teams-fancybox-introduction-box{
        width: 35%;
        padding: 30px;
    }
}
@media only screen and (max-width: 800px){
    .teams-info-box{
        width: 600px;
        padding: 40px 0;
    }
    .teams-info{
        width: 198px;
    }
    .teams-info-img{
        height: 200px;
    }
    .teams-info-text{
        font-size: 14px;
    }
    .teams-info-text-position{
        font-size: 12px;
    }
    .teams-fancybox-img-box{
        width: 100%;
    }
    .teams-fancybox-img-big-box{
        padding: 30px 0;
    }
    .teams-fancybox-img-big-span{
        height: calc(50vh - 180px);
    }
    .teams-fancybox-introduction-box{
        width: 100%;
        min-height: 50vh;
        max-height: 50vh;
    }
}
@media only screen and (max-height: 750px){

    .teams-fancybox-table-mid{
        display: block;
        height: 100vh;
        overflow-y: auto;
    }
    .teams-fancybox-img-big-span{
        height: 400px;
    }
    .teams-fancybox-introduction-box{
        background-color: #fff;
        min-height: inherit;
        max-height: inherit;
    }
    .teams-fancybox-close{
        position: fixed;
    }
}
@media only screen and (max-width: 550px){
    .teams-info-box{
        width: 400px;
        padding: 10px 0;
    }
    .teams-info{
        width: 198px;
    }
    .teams-info-img{
        height: 200px;
    }
    .teams-info:nth-child(n){
        margin-left: 2px;
    }
    .teams-info:nth-child(2n + 1){
        margin-left: 0;
    }
    .teams-fancybox-img-small-box{
        width: 300px;
    }
    .teams-fancybox-introduction-box{
        padding: 15px;
    }
    .teams-fancybox-introduction-name,
    .teams-fancybox-introduction-experience,
    .teams-fancybox-introduction-assignment{
        font-size: 14px;
    }
    .teams-fancybox-introduction-name-position{
        font-size: 16px;
    }
    .teams-fancybox-introduction-edit{
        font-size: 12px;
    }
}
@media only screen and (max-width: 500px){
    .teams-box{
        margin-top: 60px;
    }
}
@media only screen and (max-width: 400px){
    .teams-info-box{
        width: 300px;
    }
    .teams-info{
        width: 100%;
    }
    .teams-info-img{
        height: 300px;
    }
    .teams-info:nth-child(n){
        margin-left: 0;
    }
}



@media only screen and (min-width: 1001px){
    .teams-info{
        opacity: 0;
    }
    .teams-info.active{
        animation: animation_btot 1s ease 0s both;
    }
}
